Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Simple_Mcast_EH Class Reference

Simple Event Handler for mcast messages. Listens for messages on a single mcast group. Useful in environments where event traffic is not separated into different groups. Calls handle_input (ACE_SOCK_Dgram_Mcast dgram) on a specified TAO_ECG_Dgram_Handler to inform it about message arrival. More...

`#include <ECG_Simple_Mcast_EH.h>`

Inheritance diagram for TAO_ECG_Simple_Mcast_EH:

[legend]
Collaboration diagram for TAO_ECG_Simple_Mcast_EH:

[legend]
List of all members.

## Public Methods
virtual int | handle_input (ACE_HANDLE fd)
| TAO_ECG_Simple_Mcast_EH (TAO_ECG_Dgram_Handler *recv)
virtual | ~TAO_ECG_Simple_Mcast_EH (void)
| Destructor.
int | open (const char *mcast_addr, const ACE_TCHAR *net_if=0)
virtual int | shutdown (void)
## Private Attributes
ACE_SOCK_Dgram_Mcast | dgram_
TAO_ECG_Dgram_Handler * | receiver_
| We callback to this object when a message arrives.

## Detailed Description

Simple Event Handler for mcast messages. Listens for messages on a single mcast group. Useful in environments where event traffic is not separated into different groups. Calls handle_input (ACE_SOCK_Dgram_Mcast dgram) on a specified TAO_ECG_Dgram_Handler to inform it about message arrival.

NOT THREAD-SAFE.

## Constructor & Destructor Documentation

TAO_ECG_Simple_Mcast_EH::TAO_ECG_Simple_Mcast_EH | ( | TAO_ECG_Dgram_Handler * | recv | ) |

| Constructor. Messages received by this EH will be forwarded to the <recv>.

TAO_ECG_Simple_Mcast_EH::~TAO_ECG_Simple_Mcast_EH | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_ECG_Simple_Mcast_EH::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Main method - reactor callback. Notify <receiver_> that <dgram_> is ready for reading. Reimplemented from ACE_Event_Handler.

int TAO_ECG_Simple_Mcast_EH::open | ( | const char * | mcast_addr,
|  | const ACE_TCHAR * | net_if = 0
| ) |

| Join the specified multicast group and register itself with the reactor. To insure proper resource clean up, if open () is successful, the user MUST call shutdown () when handler is no longer needed (and its reactor still exists).

int TAO_ECG_Simple_Mcast_EH::shutdown | ( | void |  | ) | `[virtual]`

| TAO_ECG_Handler_Shutdown method. Unsubscribe from the reactor and close the datagram. Implements TAO_ECG_Handler_Shutdown.

## Member Data Documentation

ACE_SOCK_Dgram_Mcast TAO_ECG_Simple_Mcast_EH::dgram_`[private]`

TAO_ECG_Dgram_Handler* TAO_ECG_Simple_Mcast_EH::receiver_`[private]`

| We callback to this object when a message arrives.

The documentation for this class was generated from the following files:

- ECG_Simple_Mcast_EH.h
- ECG_Simple_Mcast_EH.cpp